package com.ims.eval.feign;

import com.alibaba.fastjson.JSONObject;
import feign.Headers;
import feign.Param;
import feign.RequestLine;

/**
 * 访问远程接口服务
 */
public interface IGatewayUrlService {


	/**
	 * 通过登录code获取用户
	 * @param code
	 * @return
	 */
	@Headers({"Content-Type: application/json", "Accept: application/json"})
	@RequestLine("POST /ims-idms/sysuser/getSysUser?code={code}")
	JSONObject getSysUser(@Param(value = "code") String code);


	/**
	 * 通过token获取业务code
	 * @param token
	 * @return
	 */
	@Headers({"Content-Type: application/json", "Accept: application/json"})
	@RequestLine("POST /ims-idms/usersession/getCodeByToken?token={token}")
	JSONObject getCodeByToken(@Param(value = "token") String token);
}
