package com.ims.eval.service;

import com.alibaba.fastjson.JSONObject;
import com.ims.eval.entity.Myuser;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author wang
 * @since 2023-03-03
 */
public interface IUserService extends IService<Myuser> {

	List<Myuser> listAll(String id, String orgId,String unitId);


	/**
	 * 通过用户名密码查询一个用户
	 * @param username
	 * @return
	 */
	Myuser getUser(String username);


	/**
	 * 更新用户
	 * @param user
	 * @return
	 */
	void updateUser(Myuser user);

	/**
	 * 通过code获取user
	 * @param code
	 * @return
	 */
	JSONObject getSysUser(String code);
	/**
	 * 通过token获取code
	 * @param token
	 * @return
	 */
	JSONObject getCodeByToken(String token);

}
